- generic [ref=e4]:
  - complementary [ref=e6]:
    - generic [ref=e7]:
      - generic [ref=e9] [cursor=pointer]:
        - img "logo" [ref=e10]
        - heading "@umijs/max" [level=1] [ref=e11]
      - menu [ref=e13]:
        - menuitem "home 首页" [ref=e14] [cursor=pointer]:
          - link "home 首页" [ref=e16]:
            - /url: /home
            - generic [ref=e17]:
              - img "home" [ref=e19]:
                - img [ref=e20]
              - generic [ref=e22]: 首页
        - menuitem "lock 权限演示" [ref=e23] [cursor=pointer]:
          - link "lock 权限演示" [ref=e25]:
            - /url: /access
            - generic [ref=e26]:
              - img "lock" [ref=e28]:
                - img [ref=e29]
              - generic [ref=e31]: 权限演示
        - menuitem "table CRUD 示例" [ref=e32] [cursor=pointer]:
          - link "table CRUD 示例" [ref=e34]:
            - /url: /table
            - generic [ref=e35]:
              - img "table" [ref=e37]:
                - img [ref=e38]
              - generic [ref=e40]: CRUD 示例
        - menuitem "user 用户管理" [ref=e41] [cursor=pointer]:
          - link "user 用户管理" [ref=e43]:
            - /url: /users
            - generic [ref=e44]:
              - img "user" [ref=e46]:
                - img [ref=e47]
              - generic [ref=e49]: 用户管理
        - menuitem "appstore 产品列表" [ref=e50] [cursor=pointer]:
          - link "appstore 产品列表" [ref=e52]:
            - /url: /products
            - generic [ref=e53]:
              - img "appstore" [ref=e55]:
                - img [ref=e56]
              - generic [ref=e58]: 产品列表
        - menuitem "tags 产品属性" [ref=e59] [cursor=pointer]:
          - link "tags 产品属性" [ref=e61]:
            - /url: /attributes
            - generic [ref=e62]:
              - img "tags" [ref=e64]:
                - img [ref=e65]
              - generic [ref=e67]: 产品属性
        - menuitem "bar-chart 排行榜" [ref=e68] [cursor=pointer]:
          - link "bar-chart 排行榜" [ref=e70]:
            - /url: /ranking
            - generic [ref=e71]:
              - img "bar-chart" [ref=e73]:
                - img [ref=e74]
              - generic [ref=e76]: 排行榜
        - menuitem "form 文章管理" [ref=e77] [cursor=pointer]:
          - link "form 文章管理" [ref=e79]:
            - /url: /articles
            - generic [ref=e80]:
              - img "form" [ref=e82]:
                - img [ref=e83]
              - generic [ref=e86]: 文章管理
        - menuitem "file-text 日志审计" [ref=e87] [cursor=pointer]:
          - generic [ref=e89]:
            - img "file-text" [ref=e91]:
              - img [ref=e92]
            - generic [ref=e94]: 日志审计
      - generic [ref=e96]:
        - generic [ref=e97] [cursor=pointer]:
          - img "avatar" [ref=e99]
          - generic [ref=e100]: "@umijs/max"
        - img [ref=e103] [cursor=pointer]
      - img [ref=e107] [cursor=pointer]
  - main [ref=e110]:
    - generic [ref=e111]:
      - generic "日志审计" [ref=e115]
      - generic [ref=e118]:
        - generic [ref=e123]:
          - generic [ref=e126]:
            - generic "操作人" [ref=e128]
            - generic [ref=e132]:
              - textbox "操作人" [ref=e133]:
                - /placeholder: 请输入操作人姓名
                - text: 张伟
              - button "close-circle" [ref=e705] [cursor=pointer]:
                - img "close-circle" [ref=e706]:
                  - img [ref=e707]
          - generic [ref=e137]:
            - generic "操作类型" [ref=e139]
            - generic [ref=e143] [cursor=pointer]:
              - generic [ref=e145]:
                - combobox "操作类型" [ref=e147]
                - generic: 请选择操作类型
              - generic:
                - img:
                  - img
          - generic [ref=e156]:
            - generic [ref=e158]:
              - button "重 置" [ref=e159] [cursor=pointer]:
                - generic [ref=e160]: 重 置
              - button "查 询" [active] [ref=e161] [cursor=pointer]:
                - generic [ref=e162]: 查 询
            - generic [ref=e164] [cursor=pointer]:
              - text: 展开
              - img "down" [ref=e165]:
                - img [ref=e166]
        - generic [ref=e172]:
          - generic [ref=e176]:
            - img "reload" [ref=e179] [cursor=pointer]:
              - img [ref=e180]
            - img "column-height" [ref=e184] [cursor=pointer]:
              - img [ref=e185]
            - img "setting" [ref=e188] [cursor=pointer]:
              - img [ref=e189]
            - img "fullscreen" [ref=e193] [cursor=pointer]:
              - img [ref=e194]
          - generic [ref=e198]:
            - table [ref=e202]:
              - rowgroup [ref=e213]:
                - row "操作时间 操作人 操作类型 操作模块 操作描述 IP地址 执行时长 操作结果 操作" [ref=e214]:
                  - columnheader "操作时间" [ref=e215] [cursor=pointer]:
                    - generic [ref=e216]:
                      - generic [ref=e217]: 操作时间
                      - generic [ref=e219]:
                        - img [ref=e220]:
                          - img [ref=e221]
                        - img [ref=e223]:
                          - img [ref=e224]
                  - columnheader "操作人" [ref=e226]
                  - columnheader "操作类型" [ref=e227]
                  - columnheader "操作模块" [ref=e228]
                  - columnheader "操作描述" [ref=e229]
                  - columnheader "IP地址" [ref=e230]
                  - columnheader "执行时长" [ref=e231] [cursor=pointer]:
                    - generic [ref=e232]:
                      - generic [ref=e233]: 执行时长
                      - generic [ref=e235]:
                        - img [ref=e236]:
                          - img [ref=e237]
                        - img [ref=e239]:
                          - img [ref=e240]
                  - columnheader "操作结果" [ref=e242]
                  - columnheader "操作" [ref=e243]
              - rowgroup [ref=e244]:
                - generic:
                  - generic: 操作时间
                  - generic:
                    - generic:
                      - img:
                        - img
                      - img:
                        - img
                - generic:
                  - generic: 执行时长
                  - generic:
                    - generic:
                      - img:
                        - img
                      - img:
                        - img
                - row "2026-02-10 13:24:12 张伟 删除 系统设置 清除缓存 192.168.0.55 64ms 成功 eye 查看详情" [ref=e644]:
                  - cell "2026-02-10 13:24:12" [ref=e645]
                  - cell "张伟" [ref=e646]
                  - cell "删除" [ref=e647]:
                    - generic [ref=e648]: 删除
                  - cell "系统设置" [ref=e649]:
                    - generic [ref=e650]: 系统设置
                  - cell "清除缓存" [ref=e651]:
                    - generic [ref=e652]: 清除缓存
                  - cell "192.168.0.55" [ref=e653]
                  - cell "64ms" [ref=e654]
                  - cell "成功" [ref=e655]:
                    - generic [ref=e656]: 成功
                  - cell "eye 查看详情" [ref=e657]:
                    - button "eye 查看详情" [ref=e659] [cursor=pointer]:
                      - img "eye" [ref=e661]:
                        - img [ref=e662]
                      - generic [ref=e664]: 查看详情
                - row "2026-02-10 06:17:50 张伟 登出 权限管理 令牌失效 192.168.1.77 477ms 成功 eye 查看详情" [ref=e709]:
                  - cell "2026-02-10 06:17:50" [ref=e710]
                  - cell "张伟" [ref=e711]
                  - cell "登出" [ref=e712]:
                    - generic [ref=e713]: 登出
                  - cell "权限管理" [ref=e714]:
                    - generic [ref=e715]: 权限管理
                  - cell "令牌失效" [ref=e716]:
                    - generic [ref=e717]: 令牌失效
                  - cell "192.168.1.77" [ref=e718]
                  - cell "477ms" [ref=e719]
                  - cell "成功" [ref=e720]:
                    - generic [ref=e721]: 成功
                  - cell "eye 查看详情" [ref=e722]:
                    - button "eye 查看详情" [ref=e724] [cursor=pointer]:
                      - img "eye" [ref=e726]:
                        - img [ref=e727]
                      - generic [ref=e729]: 查看详情
                - row "2026-02-06 07:20:17 张伟 启用 系统设置 启用功能模块 223.5.5.33 1356ms 成功 eye 查看详情" [ref=e730]:
                  - cell "2026-02-06 07:20:17" [ref=e731]
                  - cell "张伟" [ref=e732]
                  - cell "启用" [ref=e733]:
                    - generic [ref=e734]: 启用
                  - cell "系统设置" [ref=e735]:
                    - generic [ref=e736]: 系统设置
                  - cell "启用功能模块" [ref=e737]:
                    - generic [ref=e738]: 启用功能模块
                  - cell "223.5.5.33" [ref=e739]
                  - cell "1356ms" [ref=e740]
                  - cell "成功" [ref=e741]:
                    - generic [ref=e742]: 成功
                  - cell "eye 查看详情" [ref=e743]:
                    - button "eye 查看详情" [ref=e745] [cursor=pointer]:
                      - img "eye" [ref=e747]:
                        - img [ref=e748]
                      - generic [ref=e750]: 查看详情
                - row "2026-02-06 00:07:26 张伟 查询 订单管理 查询订单列表 223.5.5.102 1171ms 成功 eye 查看详情" [ref=e751]:
                  - cell "2026-02-06 00:07:26" [ref=e752]
                  - cell "张伟" [ref=e753]
                  - cell "查询" [ref=e754]:
                    - generic [ref=e755]: 查询
                  - cell "订单管理" [ref=e756]:
                    - generic [ref=e757]: 订单管理
                  - cell "查询订单列表" [ref=e758]:
                    - generic [ref=e759]: 查询订单列表
                  - cell "223.5.5.102" [ref=e760]
                  - cell "1171ms" [ref=e761]
                  - cell "成功" [ref=e762]:
                    - generic [ref=e763]: 成功
                  - cell "eye 查看详情" [ref=e764]:
                    - button "eye 查看详情" [ref=e766] [cursor=pointer]:
                      - img "eye" [ref=e768]:
                        - img [ref=e769]
                      - generic [ref=e771]: 查看详情
                - row "2026-02-04 21:38:59 张伟 导入 权限管理 导入权限配置 172.16.0.38 4207ms 成功 eye 查看详情" [ref=e772]:
                  - cell "2026-02-04 21:38:59" [ref=e773]
                  - cell "张伟" [ref=e774]
                  - cell "导入" [ref=e775]:
                    - generic [ref=e776]: 导入
                  - cell "权限管理" [ref=e777]:
                    - generic [ref=e778]: 权限管理
                  - cell "导入权限配置" [ref=e779]:
                    - generic [ref=e780]: 导入权限配置
                  - cell "172.16.0.38" [ref=e781]
                  - cell "4207ms" [ref=e782]
                  - cell "成功" [ref=e783]:
                    - generic [ref=e784]: 成功
                  - cell "eye 查看详情" [ref=e785]:
                    - button "eye 查看详情" [ref=e787] [cursor=pointer]:
                      - img "eye" [ref=e789]:
                        - img [ref=e790]
                      - generic [ref=e792]: 查看详情
                - row "2026-02-04 21:12:31 张伟 导入 其他 导入数据 192.168.1.178 4549ms 成功 eye 查看详情" [ref=e793]:
                  - cell "2026-02-04 21:12:31" [ref=e794]
                  - cell "张伟" [ref=e795]
                  - cell "导入" [ref=e796]:
                    - generic [ref=e797]: 导入
                  - cell "其他" [ref=e798]:
                    - generic [ref=e799]: 其他
                  - cell "导入数据" [ref=e800]:
                    - generic [ref=e801]: 导入数据
                  - cell "192.168.1.178" [ref=e802]
                  - cell "4549ms" [ref=e803]
                  - cell "成功" [ref=e804]:
                    - generic [ref=e805]: 成功
                  - cell "eye 查看详情" [ref=e806]:
                    - button "eye 查看详情" [ref=e808] [cursor=pointer]:
                      - img "eye" [ref=e810]:
                        - img [ref=e811]
                      - generic [ref=e813]: 查看详情
                - row "2026-02-02 19:29:32 张伟 导入 用户管理 导入用户数据 113.45.133 259ms 成功 eye 查看详情" [ref=e814]:
                  - cell "2026-02-02 19:29:32" [ref=e815]
                  - cell "张伟" [ref=e816]
                  - cell "导入" [ref=e817]:
                    - generic [ref=e818]: 导入
                  - cell "用户管理" [ref=e819]:
                    - generic [ref=e820]: 用户管理
                  - cell "导入用户数据" [ref=e821]:
                    - generic [ref=e822]: 导入用户数据
                  - cell "113.45.133" [ref=e823]
                  - cell "259ms" [ref=e824]
                  - cell "成功" [ref=e825]:
                    - generic [ref=e826]: 成功
                  - cell "eye 查看详情" [ref=e827]:
                    - button "eye 查看详情" [ref=e829] [cursor=pointer]:
                      - img "eye" [ref=e831]:
                        - img [ref=e832]
                      - generic [ref=e834]: 查看详情
                - row "2026-02-02 05:50:57 张伟 启用 其他 启用功能 172.16.0.99 1251ms 成功 eye 查看详情" [ref=e835]:
                  - cell "2026-02-02 05:50:57" [ref=e836]
                  - cell "张伟" [ref=e837]
                  - cell "启用" [ref=e838]:
                    - generic [ref=e839]: 启用
                  - cell "其他" [ref=e840]:
                    - generic [ref=e841]: 其他
                  - cell "启用功能" [ref=e842]:
                    - generic [ref=e843]: 启用功能
                  - cell "172.16.0.99" [ref=e844]
                  - cell "1251ms" [ref=e845]
                  - cell "成功" [ref=e846]:
                    - generic [ref=e847]: 成功
                  - cell "eye 查看详情" [ref=e848]:
                    - button "eye 查看详情" [ref=e850] [cursor=pointer]:
                      - img "eye" [ref=e852]:
                        - img [ref=e853]
                      - generic [ref=e855]: 查看详情
                - row "2026-01-24 08:13:31 张伟 启用 用户管理 启用用户账号 192.168.1.81 1253ms 成功 eye 查看详情" [ref=e856]:
                  - cell "2026-01-24 08:13:31" [ref=e857]
                  - cell "张伟" [ref=e858]
                  - cell "启用" [ref=e859]:
                    - generic [ref=e860]: 启用
                  - cell "用户管理" [ref=e861]:
                    - generic [ref=e862]: 用户管理
                  - cell "启用用户账号" [ref=e863]:
                    - generic [ref=e864]: 启用用户账号
                  - cell "192.168.1.81" [ref=e865]
                  - cell "1253ms" [ref=e866]
                  - cell "成功" [ref=e867]:
                    - generic [ref=e868]: 成功
                  - cell "eye 查看详情" [ref=e869]:
                    - button "eye 查看详情" [ref=e871] [cursor=pointer]:
                      - img "eye" [ref=e873]:
                        - img [ref=e874]
                      - generic [ref=e876]: 查看详情
                - row "2026-01-16 21:41:59 张伟 查询 订单管理 查询订单列表 192.168.1.45 3213ms 成功 eye 查看详情" [ref=e877]:
                  - cell "2026-01-16 21:41:59" [ref=e878]
                  - cell "张伟" [ref=e879]
                  - cell "查询" [ref=e880]:
                    - generic [ref=e881]: 查询
                  - cell "订单管理" [ref=e882]:
                    - generic [ref=e883]: 订单管理
                  - cell "查询订单列表" [ref=e884]:
                    - generic [ref=e885]: 查询订单列表
                  - cell "192.168.1.45" [ref=e886]
                  - cell "3213ms" [ref=e887]
                  - cell "成功" [ref=e888]:
                    - generic [ref=e889]: 成功
                  - cell "eye 查看详情" [ref=e890]:
                    - button "eye 查看详情" [ref=e892] [cursor=pointer]:
                      - img "eye" [ref=e894]:
                        - img [ref=e895]
                      - generic [ref=e897]: 查看详情
            - list [ref=e665]:
              - listitem [ref=e666]: 共 10 条记录
              - listitem "上一页" [ref=e667]:
                - button "left" [disabled] [ref=e668]:
                  - img "left" [ref=e669]:
                    - img [ref=e670]
              - listitem "1" [ref=e672] [cursor=pointer]:
                - generic [ref=e673]: "1"
              - listitem "下一页" [ref=e691]:
                - button "right" [disabled] [ref=e692]:
                  - img "right" [ref=e693]:
                    - img [ref=e694]
              - listitem [ref=e696]:
                - generic "页码" [ref=e697] [cursor=pointer]:
                  - generic [ref=e699]:
                    - combobox "页码" [ref=e701]
                    - generic "20 条/页" [ref=e702]
                  - generic:
                    - img:
                      - img